// Copyright (C) 1996 by Wolfgang Platzer
// email: wplatzer@iaik.tu-graz.ac.at
//
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
// 1. Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
// 2. Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
// ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
// FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
// DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
// OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
// LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
// OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
// SUCH DAMAGE.
//

package cryptiX.apps;

import java.io.*;
import cryptiX.asn1.*;
import cryptiX.utils.*;


class asn1parse
{

    public static void main(String args[]) throws IOException {

        int offset=0;
        int length=-1;
        DataInputStream is = new DataInputStream(System.in);    // default: standard input stream

        if (args.length > 0) {
            for (int i=0; i<args.length; i++) {
                if (args[i].equals("-offset")) {
                    offset = (Integer.valueOf(args[++i])).intValue();
                }
                else if (args[i].equals("-length")) {
                    length = (Integer.valueOf(args[++i])).intValue();
                }
                else if (args[i].equals("-in")) {
                    File file = new File(args[++i]);

                    if (!file.canRead()) {
                        System.out.println("Can't read file "+args[i]);
                        System.exit(0);
                    }

                    is = new DataInputStream(new FileInputStream(file));
                }
                else {
                    System.out.println("");
                    System.out.println("unknown option "+args[i]);
                    System.out.println("asn1parse [options] <infile");
                    System.out.println("where options are");
                    System.out.println(" -in arg       inout file");
                    System.out.println(" -offset arg   offset into file");
                    System.out.println(" -length arg   lenth of section in file");
                    System.exit(0);
                }
            }
        }

        if (length < 0)
            length = is.available();

        if (length < 0)
            System.exit(0);

        byte[] buffer = new byte[length];

        is.skipBytes(offset);
        is.read(buffer);
        is.close();

        ASN1 asn1 = new ASN1(buffer);
        System.out.println(asn1);
    }
}

