//
// CodingException.java --
//
// Author: Pekka Nikander <pnr@tequila.nixu.fi>
//
// Copyright 1996 by Nixu Oy, Helsinki, Finland
//
// Created: Tue Mar 19 13:18:28 1996
// Last modified: Sun Mar 31 23:41:54 1996 pnr
//

package cryptiX.asn1;

/**
 * Signals ASN.1 encoding or decoding exception has occured.
 * <P>
 * An ASN.1 encoding or decoding exception signals an error situation.
 * In decoding, the data arrived from the network may be syntactically
 * incorrect or just too volumneous to be handler.  In these kinds
 * of situations the exception is raised.  Similarly, in encoding
 * an exception may be raised if the PDU cannot be represented
 * internally, for example due to a circular data structure.
 */
public class CodingException extends java.io.IOException {
  public CodingException() {
    super();
  }
  public CodingException(String s) {
    super(s);
  }
}

