//
// NonCompositeException.java --
//
// Author: Pekka Nikander <pnr@tequila.nixu.fi>
//
// Copyright 1996 by Nixu Oy, Helsinki, Finland
//
// Created: Tue Mar 19 13:18:28 1996
// Last modified: Mon Apr  1 00:08:49 1996 pnr
//

package cryptiX.utils;

/**
 * Signals attemt to add, remove or access child objects of a
 * leaf object of some data structure that follows the Composite pattern.
 * (For design pattern terminology, see [Gamma et al <EM>Design Patterns</EM>])
 * <p>
 * Note that in some cases this is <em>not</em> an error condition, but
 * part of normal operation when working with Composite objects.
 */
public class NonCompositeException extends java.lang.RuntimeException {
  public NonCompositeException() {
    super();
  }
  public NonCompositeException(String s) {
    super(s);
  }
}

